Meta tags:
description= Developer documentation for products at Zendesk;
Headings (most frequently used words):
example, allowed, for, parameters, code, samples, response, subscription, sideloads, by, subscriptions, section, locale, article, list, pagination, show, create, delete, topic, post, help, center, content, on, this, page, api, federated, search, employee, services, templates, json, format, user, update,
Text of the page (most frequently used words):
subscriptions (253), request (238), err (234), #response (217), http (208), json (202), the (197), api (195), api_token (188), com (188), type (171), content (168), zendesk (165), token (162), https (162), url (158), auth (156), application (150), email_address (136), uri (130), basic (130), base64 (130), support (130), client (130), fmt (130), help_center (123), body (118), subscription (118), net (104), authorization (104), headers (104), import (104), method (104), println (104), nil (104), req (104), string (92), true (90), sections (84), new (83), locale (80), get (80), post (79), your_api_token (78), your_email_address (78), require (78), requests (78), axios (78), return (78), res (78), articles (74), users (74), community (73), end (70), 1234 (70), delete (60), value (58), curl (58), article (55), section (54), error (53), header (53), encoded_credentials (52), credentials (52), email (52), httpbasicauth (52), log (52), console (52), function (52), config (52), encoded (52), var (52), build (52), basicauth (52), addheader (52), urlbuilder (52), builder (52), usercredentials (52), java (52), httpurl (52), okhttpclient (52), add (52), for (48), path (47), user_id (47), topics (44), integer (42), 360026053753 (40), name (40), 360004785313 (40), subscription_id (39), unique (39), posts (35), from (33), parse (33), subdomain (32), list (31), topic (30), use (29), will (28), 200 (28), pagination (28), status (27), example (27), description (27), create (27), use_ssl (26), port (26), hostname (26), start (26), strict_encode64 (26), ruby (26), text (26), print (26), authentication (26), python (26), catch (26), data (26), stringify (26), then (26), nodejs (26), execute (26), newcall (26), getbytes (26), encodetostring (26), getencoder (26), util (26), newbuilder (26), okhttp (26), squareup (26), readall (26), close (26), defer (26), newrequest (26), main (26), func (26), article_id (26), code (26), samples (26), required (26), parameters (26), allowed (26), user (26), sideloads (26), section_id (26), null (25), 360001326113 (25), created (23), content_id (22), page (22), with (21), show (21), 888887 (20), 35467 (20), 8748733 (20), 360039436873 (20), sideload (19), are (17), translations (17), false (16), topic_id (16), given (15), following (15), requestbody (14), agents (14), and (14), help (13), center (13), supported (13), include_comments (13), post_id (13), 204 (12), 201 (12), only (12), item (11), can (10), source_locale (9), subscribed (9), requesting (9), displayed (8), specified (8), associated (8), parameter (8), mediatype (7), all (7), see (7), offset (7), cursor (7), recommended (7), lists (7), comments (7), put (7), removes (6), 10056 (6), manager (6), role (6), optionally (6), supply (6), provided (6), creates (6), note (6), you (5), specify (5), subscribe (5), optional (4), admins (4), anonymous (4), must (4), provide (4), sideloaded (4), also (4), search (4), developer (3), default (3), update (3), this (3), objects (3), format (3), adds (3), upgrading (3), templating (3), templates (3), external (3), that (2), need (2), because (2), these (2), not (2), directly (2), addition (2), any (2), content_type (2), questions (2), created_at (2), time (2), which (2), was (2), mandatory (2), when (2), custom (2), service (2), catalog (2), home (2), helpers (2), introduction (2), badge (2), categories (2), zendev_horizontal (2), system, terms, privacy, notice, 181, fremont, street, 17th, floor, san, francisco, california, 94105, slack, blog, forum, join, our, object, containing, subscrbed, question, your, own, 3465, 1635, 2012, 04t09, 57z, 65466, who, has, last, updated, updated_at, used, where, selects, boolean, automatically, assigned, read, represented, properties, notified, somebody, comment, profile, approval, results, contributions, category, footer, advanced, items, employee, services, types, sources, records, federated, redirect, rules, account, claims, jwts, tags, guide, media, images, assignments, badges, votes, segments, themes, management, permission, groups, sessions, labels, attachments, reference, documentation, docs,
Text of the page (random words):
ponse response client newcall request execute nodejs var axios require axios var config method delete url https support zendesk com api v2 help_center en us sections 360004785313 subscriptions 1234 headers content type application json authorization basic auth value base64 encoded email_address token api_token axios config then function response console log json stringify response data catch function error console log error python import requests from requests auth import httpbasicauth url https support zendesk com api v2 help_center en us sections 360004785313 subscriptions 1234 headers content type application json email_address your_email_address api_token your_api_token use basic authentication auth httpbasicauth f email_address token api_token response requests request delete url auth auth headers headers print response text ruby require net http require base64 uri uri https support zendesk com api v2 help_center en us sections 360004785313 subscriptions 1234 request net http delete new uri content type application json email your_email_address api_token your_api_token credentials email token api_token encoded_credentials base64 strict_encode64 credentials request authorization basic encoded_credentials response net http start uri hostname uri port use_ssl true do http http request request end example response s 204 no content status 204 no content null list article subscriptions get api v2 help_center articles article_id subscriptions lists the subscriptions to a given article allowed for agents for end users the response will list only the subscriptions created by the requesting end user pagination cursor pagination recommended offset pagination see pagination sideloads the following sideloads are supported name will sideload users users articles articles sections sections note that you need to specify the articles sideload to get the sections and translations sideloaded because these are not directly associated with the subscriptions parameters name type in required description article_id integer path true the unique id of the article code samples curl curl https subdomain zendesk com api v2 help_center articles article_id subscriptions v u email_address token api_token go import fmt io net http func main url https support zendesk com api v2 help_center articles 360026053753 subscriptions method get req err http newrequest method url nil if err nil fmt println err return req header add content type application json req header add authorization basic auth value base64 encoded email_address token api_token client http client res err client do req if err nil fmt println err return defer res body close body err io readall res body if err nil fmt println err return fmt println string body java import com squareup okhttp okhttpclient client new okhttpclient httpurl builder urlbuilder httpurl parse https support zendesk com api v2 help_center articles 360026053753 subscriptions newbuilder string usercredentials your_email_address token your_api_token string basicauth basic java util base64 getencoder encodetostring usercredentials getbytes request request new request builder url urlbuilder build method get null addheader content type application json addheader authorization basicauth build response response client newcall request execute nodejs var axios require axios var config method get url https support zendesk com api v2 help_center articles 360026053753 subscriptions headers content type application json authorization basic auth value base64 encoded email_address token api_token axios config then function response console log json stringify response data catch function error console log error python import requests from requests auth import httpbasicauth url https support zendesk com api v2 help_center articles 360026053753 subscriptions headers content type application json email_address your_email_address api_token your_api_token use basic authentication auth httpbasicauth f email_address token api_token response requests request get url auth auth headers headers print response text ruby require net http require base64 uri uri https support zendesk com api v2 help_center articles 360026053753 subscriptions request net http get new uri content type application json email your_email_address api_token your_api_token credentials email token api_token encoded_credentials base64 strict_encode64 credentials request authorization basic encoded_credentials response net http start uri hostname uri port use_ssl true do http http request request end example response s 200 ok status 200 ok subscriptions content_id 8748733 id 35467 locale en user_id 888887 list article subscriptions by locale get api v2 help_center locale articles article_id subscriptions lists the subscriptions to a given article note locale is an optional parameter for admins and agents end users and anonymous users must provide the parameter allowed for end users for end users the response will list only the subscriptions created by the requesting end user pagination cursor pagination recommended offset pagination see pagination sideloads the following sideloads are supported name will sideload users users articles articles sections sections note that you need to specify the articles sideload to get the sections and translations sideloaded because these are not directly associated with the subscriptions parameters name type in required description article_id integer path true the unique id of the article locale string path true the locale the item is displayed in code samples curl curl https subdomain zendesk com api v2 help_center locale articles article_id subscriptions json v u email_address token api_token go import fmt io net http func main url https support zendesk com api v2 help_center en us articles 360026053753 subscriptions method get req err http newrequest method url nil if err nil fmt println err return req header add content type application json req header add authorization basic auth value base64 encoded email_address token api_token client http client res err client do req if err nil fmt println err return defer res body close body err io readall res body if err nil fmt println err return fmt println string body java import com squareup okhttp okhttpclient client new okhttpclient httpurl builder urlbuilder httpurl parse https support zendesk com api v2 help_center en us articles 360026053753 subscriptions newbuilder string usercredentials your_email_address token your_api_token string basicauth basic java util base64 getencoder encodetostring usercredentials getbytes request request new request builder url urlbuilder build method get null addheader content type application json addheader authorization basicauth build response response client newcall request execute nodejs var axios require axios var config method get url https support zendesk com api v2 help_center en us articles 360026053753 subscriptions headers content type application json authorization basic auth value base64 encoded email_address token api_token axios config then function response console log json stringify response data catch function error console log error python import requests from requests auth import httpbasicauth url https support zendesk com api v2 help_center en us articles 360026053753 subscriptions headers content type application json email_address your_email_address api_token your_api_token use basic authentication auth httpbasicauth f email_address token api_token response requests request get url auth auth headers headers print response text ruby require net http require base64 uri uri https support zendesk com api v2 help_center en us articles 360026053753 subscriptions request net http get new uri content type application json email your_email_address api_token your_api_token credentials email token api_token encoded_credentials base64 strict_encode64 credentials request authorization basic encoded_credentials response net http start uri hostname uri port use_ssl true do http http request request end example response s 200 ok status 200 ok subscriptions content_id 8748733 id 35467 locale en user_id 888887 show article subscription get api v2 help_center articles article_id subscriptions subscription_id allowed for agents sideloads the following sideloads are supported name will sideload for users users all articles articles article subscriptions sections sections section subscriptions parameters name type in required description article_id integer path true the unique id of the article subscription_id integer path true the unique id of the subscription code samples curl curl https subdomain zendesk com api v2 help_center articles article_id subscriptions subscription_id v u email_address token api_token go import fmt io net http func main url https support zendesk com api v2 help_center articles 360026053753 subscriptions 1234 method get req err http newrequest method url nil if err nil fmt println err return req header add content type application json req header add authorization basic auth value base64 encoded email_address token api_token client http client res err client do req if err nil fmt println err return defer res body close body err io readall res body if err nil fmt println err return fmt println string body java import com squareup okhttp okhttpclient client new okhttpclient httpurl builder urlbuilder httpurl parse https support zendesk com api v2 help_center articles 360026053753 subscriptions 1234 newbuilder string usercredentials your_email_address token your_api_token string basicauth basic java util base64 getencoder encodetostring usercredentials getbytes request request new request builder url urlbuilder build method get null addheader content type application json addheader authorization basicauth build response response client newcall request execute nodejs var axios require axios var config method get url https support zendesk com api v2 help_center articles 360026053753 subscriptions 1234 headers content type application json authorization basic auth value base64 encoded email_address token api_token axios config then function response console log json stringify response data catch function error console log error python import requests from requests auth import httpbasicauth url https support zendesk com api v2 help_center articles 360026053753 subscriptions 1234 headers content type application json email_address your_email_address api_token your_api_token use basic authentication auth httpbasicauth f email_address token api_token response requests request get url auth auth headers headers print response text ruby require net http require base64 uri uri https support zendesk com api v2 help_center articles 360026053753 subscriptions 1234 request net http get new uri content type application json email your_email_address api_token your_api_token credentials email token api_token encoded_credentials base64 strict_encode64 credentials request authorization basic encoded_credentials response net http start uri hostname uri port use_ssl true do http http request request end example response s 200 ok status 200 ok subscription content_id 8748733 id 35467 locale en user_id 888887 show article subscription by locale get api v2 help_center locale articles article_id subscriptions subscription_id note locale is an optional parameter for admins and agents end users and anonymous users must provide the parameter allowed for end users for end users the response will only show a subscription created by the requesting end user sideloads the following sideloads are supported name will sideload for users users all articles articles article subscriptions sections sections section subscriptions parameters name type in required description article_id integer path true the unique id of the article locale string path true the locale the item is displayed in subscription_id integer path true the unique id of the subscription code samples curl curl https subdomain zendesk com api v2 help_center locale articles article_id subscriptions subscription_id json v u email_address token api_token go import fmt io net http func main url https support zendesk com api v2 help_center en us articles 360026053753 subscriptions 1234 method get req err http newrequest method url nil if err nil fmt println err return req header add content type application json req header add authorization basic auth value base64 encoded email_address token api_token client http client res err client do req if err nil fmt println err return defer res body close body err io readall res body if err nil fmt println err return fmt println string body java import com squareup okhttp okhttpclient client new okhttpclient httpurl builder urlbuilder httpurl parse https support zendesk com api v2 help_center en us articles 360026053753 subscriptions 1234 newbuilder string usercredentials your_email_address token your_api_token string basicauth basic java util base64 getencoder encodetostring usercredentials getbytes request request new request builder url urlbuilder build method get null addheader content type application json addheader authorization basicauth build response response client newcall request execute nodejs var axios require axios var config method get url https support zendesk com api v2 help_center en us articles 360026053753 subscriptions 1234 headers content type application json authorization basic auth value base64 encoded email_address token api_token axios config then function response console log json stringify response data catch function error console log error python import requests from requests auth import httpbasicauth url https support zendesk com api v2 help_center en us articles 360026053753 subscriptions 1234 headers content type application json email_address your_email_address api_token your_api_token use basic authentication auth httpbasicauth f email_address token api_token response requests request get url auth auth headers headers print response text ruby require net http require base64 uri uri https support zendesk com api v2 help_center en us articles 360026053753 subscriptions 1234 request net http get new uri content type application json email your_email_address api_token your_api_token credentials email token api_token encoded_credentials base64 strict_encode64 credentials request authorization basic encoded_credentials response net http start uri hostname uri port use_ssl true do http http request request end example response s 200 ok status 200 ok subscription content_id 8748733 id 35467 locale en user_id 888887 create article subscription post api v2 help_center articles article_id subscriptions creates a subscription to a given article allowed for end users agents with the help center manager role can optionally supply a user_id value if provided the user associated with user_id will be subscribed to the article parameters name type in required description article_id integer path true the unique id of the article code samples cur...
|